kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: "users-service"
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: 'true'
spec:
  rules:
    - host: panel.minekloud.com
      http:
        paths:
          - path: /api/users
            backend:
              serviceName: users-service
              servicePort: 8080
          - path: /api/auth
            backend:
              serviceName: users-service
              servicePort: 8080
          - path: /api/docs/users
            backend:
              serviceName: users-service
              servicePort: 8080